source: INSTALL @ a984307

4.0.1-hotfixescachetimestampsdevelopdpdk-ndagetsilivendag_formatrc-4.0.1rc-4.0.2rc-4.0.3rc-4.0.4ringdecrementfixringperformanceringtimestampfixes
Last change on this file since a984307 was a984307, checked in by Shane Alcock <salcock@…>, 5 years ago

Merge remote-tracking branch 'origin/develop' into libtrace4

Conflicts:

INSTALL
README
lib/format_dpdk.c
lib/trace.c
tools/tracesplit/tracesplit.c

  • Property mode set to 100644
File size: 1.6 KB
RevLine 
[870cad4]1Requirements:
2 * >=automake-1.9
3 * >=libpcap-0.8
[a1b899f]4 * flex and bison
[c24de65]5 * libwandio (get it from http://research.wand.net.nz/software/libwandio.php)
[a1b899f]6
7Optional:
8 * DAG libraries (both 2.4 and 2.5 versions are supported)
[fba3b72]9 * libcrypto (required for CryptoPAN anonymisation in traceanon)
10 * libncurses (required for tracetop)
11 
[a1b899f]12----------------------------------
13
[670d3de]14Installing libtrace:
15
[0ae5feb]16./bootstrap.sh (only if you've cloned the source from GitHub)
[6378b14]17./configure
[670d3de]18make
[a1b899f]19make install
[d9faaa5]20
[a1b899f]21The above series of commands will install libtrace into /usr/local/lib. If
[fba3b72]22you wish to install to a non-standard location, append the
[a1b899f]23--prefix=DIR option to the ./configure command. ./configure also takes
24a number of other options - run ./configure --help to view a comprehensive
25list.
[670d3de]26
[fba3b72]27You may need to add the library location (e.g. /usr/local/lib) to your
[a1b899f]28/etc/ld.so.conf and run 'ldconfig' as root.
[670d3de]29
30----------------------------------
[17094b2]31
32Installation FAQ:
33
[fba3b72]34Q. I've installed libpcap but I'm still getting the following error:
35"libpcap0.8 or greater is required to compile libtrace. If you have installed
36it in a non-standard location please use LDFLAGS to specify the location of
[17094b2]37the library"?
38
[fba3b72]39A. You need to install the development version of the pcap library.
40For example, Ubuntu/Debian users will need to install the libpcap0.8-dev
[0ae5feb]41package in addition to the libpcap0.8 package.
42
[17094b2]43
[b6cbdaf]44Q. What operating systems do you support?
45
46A. Linux, FreeBSD, Mac OS X and OpenBSD. Windows is not supported.
47
[17094b2]48----------------------------------
[670d3de]49Using libtrace:
50
[a1b899f]51The best source of information on how to use libtrace and the tools that come
[fba3b72]52with it is the libtrace wiki: https://github.com/wanduow/libtrace/wiki
[670d3de]53
[d18312c]54
Note: See TracBrowser for help on using the repository browser.